跳转到正文
皓量云擎文档
接口参考裸金属

执行裸金属实例动作

POST /api/v1/baremetal/allocations/{allocation_id}/actions,baremetalAllocationAction 的请求参数和响应结构。

POST /api/v1/baremetal/allocations/{allocation_id}/actions

项目内容
操作标识baremetalAllocationAction
认证登录会话 Cookie

会话写请求需要合法的 Origin 和与当前 Cookie 绑定的 X-CSRF-Token。登录成功后应重新获取 CSRF 令牌。具体权限由目标资源归属和当前授权决定,见认证约定。

请求参数

名称位置必填类型说明与约束
allocation_idpath是string格式:uuid
Idempotency-Keyheader否string最长 128

请求体

请求体必填。

内容类型:application/json。

字段类型必填说明与约束
actionstring是可选值:"verify"、"inspect"、"power_on"、"power_off"、"power_reset"、"clean"、"maintenance"、"retire"、"reinstall"、"release"
confirm_nodestring否—
confirm_diskstring否—
image_idstring否—
ssh_key_idsstring[]否—
完整请求结构(含引用定义)
{
  "$ref": "#/$defs/MetalAction",
  "$defs": {
    "MetalAction": {
      "type": "object",
      "properties": {
        "action": {
          "type": "string",
          "enum": [
            "verify",
            "inspect",
            "power_on",
            "power_off",
            "power_reset",
            "clean",
            "maintenance",
            "retire",
            "reinstall",
            "release"
          ]
        },
        "confirm_node": {
          "type": "string"
        },
        "confirm_disk": {
          "type": "string"
        },
        "image_id": {
          "type": "string"
        },
        "ssh_key_ids": {
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid"
          }
        }
      },
      "required": [
        "action"
      ],
      "additionalProperties": false
    }
  }
}

响应

HTTP 状态含义
202已受理
400请求失败
401请求失败
403请求失败
404请求失败
409请求失败
503请求失败
default请求失败
202 · application/json 响应结构
字段类型必填说明与约束
dataMetalTask是—
request_idstring是—
{
  "$ref": "#/$defs/MetalTaskResponse",
  "$defs": {
    "MetalTaskResponse": {
      "type": "object",
      "properties": {
        "data": {
          "$ref": "#/$defs/MetalTask"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "data",
        "request_id"
      ],
      "additionalProperties": false
    },
    "MetalTask": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid"
        },
        "node_id": {
          "type": "string",
          "format": "uuid"
        },
        "allocation_id": {
          "type": "string"
        },
        "tenant_id": {
          "type": "string"
        },
        "kind": {
          "type": "string"
        },
        "state": {
          "type": "string",
          "enum": [
            "queued",
            "running",
            "succeeded",
            "failed"
          ]
        },
        "stage": {
          "type": "string"
        },
        "progress": {
          "type": "integer"
        },
        "message": {
          "type": "string"
        },
        "events": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/MetalEvent"
          }
        },
        "created_at": {
          "type": "string",
          "format": "date-time"
        },
        "updated_at": {
          "type": "string",
          "format": "date-time"
        }
      },
      "required": [
        "id",
        "node_id",
        "kind",
        "state",
        "stage",
        "progress",
        "message",
        "events",
        "created_at",
        "updated_at"
      ],
      "additionalProperties": false
    },
    "MetalEvent": {
      "type": "object",
      "properties": {
        "at": {
          "type": "string",
          "format": "date-time"
        },
        "message": {
          "type": "string"
        },
        "progress": {
          "type": "integer"
        },
        "state": {
          "type": "string"
        }
      },
      "required": [
        "at",
        "message",
        "progress",
        "state"
      ],
      "additionalProperties": false
    }
  }
}
400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录